package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 自来水客服热线对象 t_guiji_housingconstruction_zlskfrx
 *
 * @author lei
 * @date 2021-11-05
 */
public class TGuijiHousingconstructionZlskfrx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 编号 */
    @Excel(name = "编号")
    private String caseid;

    /** 来电号码 */
    @Excel(name = "来电号码")
    private String incomingcall;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String name;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 反映内容 */
    @Excel(name = "反映内容")
    private String content;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createon;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setCaseid(String caseid)
    {
        this.caseid = caseid;
    }

    public String getCaseid()
    {
        return caseid;
    }
    public void setIncomingcall(String incomingcall)
    {
        this.incomingcall = incomingcall;
    }

    public String getIncomingcall()
    {
        return incomingcall;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setCreateon(String createon)
    {
        this.createon = createon;
    }

    public String getCreateon()
    {
        return createon;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("caseid", getCaseid())
            .append("incomingcall", getIncomingcall())
            .append("name", getName())
            .append("address", getAddress())
            .append("content", getContent())
            .append("createon", getCreateon())
            .toString();
    }
}
